M2Crypto 0.18 - new version, same old build bugs.

Paul Boddie paul at boddie.org.uk
Thu Sep 20 23:51:26 CEST 2007


On 20 Sep, 22:12, John Nagle <na... at animats.com> wrote:
>
>     That was for M2Crypto 0.17.
>
>     It's still broken in M2Crypto 0.18.
>
>     And there's no RPM or Windows binary.
>
>     Nobody actually uses this stuff, do they?

I can find Ubuntu packages for 0.16 and 0.17:

http://packages.ubuntu.com/feisty/libs/python-m2crypto
http://packages.ubuntu.com/gutsy/libs/python-m2crypto

So, clearly some people are managing to build the library, even if it
isn't the absolute latest version. You might want to take a look at
the source packages and the patches the distribution people apply,
although it doesn't look like they are actually doing much patching.
The source packages suggest that they use SWIG 1.3.24 to build
M2Crypto - is that what you're using?

Paul




More information about the Python-list mailing list